%define monodir      %_prefix/lib/mono
%define monodocdir   %_prefix/lib/monodoc
%define monover      4.0
%define pkgconfigdir %_datadir/pkgconfig

Summary:        A collection of tools for mono applications
Name:           mono-tools
Version:        4.2
Release:        %mkrel 11
License:        GPLv2 and LGPLv2
Group:          Development/Other
Url:            https://www.mono-project.com/Main_Page
Source0:        https://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
Source1:        gsharp.svg
Patch1:         mono-tools-2.11-disable-gendarme-webdoc-build.patch
Patch2:         gsharp_icon.patch
# Patch from http://lists.ximian.com/pipermail/mono-list/2013-December/050567.html and
# https://build.opensuse.org/package/view_file/home:tpokorra:mono/mono-tools/docbrowser.patch?expand=1
# Thanks to openSUSE.
Patch3:  mono-tools-4.2-docbrowser.patch
Patch4:  mono-tools-4.2-sharpziplib.patch
Patch5:  mono-tools-4.2-fix-xml-wellformed-comment.patch	
Patch6:  mono-tools-4.2-fix-cecil.patch
Patch7:  mono-tools-4.2-nunit.patch

BuildArch:      noarch
#gw it needs System.Xml.Linq:
BuildRequires:  glade-sharp2
BuildRequires:  glib-gettextize
BuildRequires:  gnome-sharp2-devel
BuildRequires:  pkgconfig(gapi-2.0)
BuildRequires:  pkgconfig(libgdiplus)
BuildRequires:  mono-data
BuildRequires:  mono-data-oracle
BuildRequires:  mono-winforms
BuildRequires:  pkgconfig(mono) >= 4.0
BuildRequires:  pkgconfig(cecil)
BuildRequires:  nunit
BuildRequires:  pkgconfig(nunit)
BuildRequires:  pkgconfig(monodoc)
BuildRequires:  pkgconfig(aspnetwebstack)
BuildRequires:  pkgconfig(sharpziplib)
BuildRequires:  zip

Requires(post): monodoc >= %monover
Requires:       monodoc >= %monover

%global __requires_exclude lib.*gtk

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q
%patch1 -p1 -b .disable_gendarme
%patch2 -p0 -b .gsharp_icon
%patch3 -p1 -b .docbrowser
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

for i in `find . -name "*.am"`;
do
	sed -i -e 's|-define:DEBUG|-define:DEBUG -sdk:4|g' $i
done

#find . -name "Makefile.in" -print -exec sed -i "s#GMCS#MCS#g; s#DMCS#MCS#g" {} \;
#find . -name "configure" -print -exec sed -i "s#GMCS#MCS#g; s#DMCS#MCS#g" {} \;
sed -i "s#mono-nunit#nunit#g" configure
sed -i "s#mono-nunit#nunit#g" gendarme/rules/Test.Rules/Makefile.in
mv configure.in configure.ac
rm -f configure

%build
autoconf
%configure --libdir=%{_prefix}/lib --build=%{_build}
#gw parallel make fails in 2.2
%__make DMCS=mcs GMCS=mcs

%install
%make_install pkgconfigdir=%pkgconfigdir

%find_lang %name

#gw it needs Mono.WebBrowser which needs gluezilla
rm -f %buildroot%monodocdir/MonoWebBrowserHtmlRender.dll
touch %buildroot%monodocdir/monodoc.index

mkdir -p %buildroot%_iconsdir
cp %{SOURCE1} %buildroot%_iconsdir

%files -f %name.lang
%doc AUTHORS README ChangeLog
%_bindir/emveepee
%_bindir/minvoke
%_bindir/monodoc
%_bindir/mperfmon
%_bindir/gasnview
%_bindir/gd2i
%_bindir/gendarme
%_bindir/gendarme-wizard
%_bindir/gsharp
%_bindir/gui-compare
%_bindir/create-native-map
%_bindir/mprof*
%_prefix/lib/create-native-map
%dir %_prefix/lib/minvoke/
%_prefix/lib/minvoke/minvoke.exe
%dir %_prefix/lib/%name
%_prefix/lib/%name/emveepee.exe*
%_prefix/lib/%name/mprof*
%_prefix/lib/%name/Mono.Profiler*
%_mandir/man1/*
%_mandir/man5/*
%_prefix/lib/gendarme
%_prefix/lib/gsharp
%_prefix/lib/gui-compare
%_prefix/lib/mperfmon
%_iconsdir/gsharp.*
%monodir/1.0/*
%monodocdir/browser.exe
%monodocdir/sources/Gendarme*
%monodocdir/sources/gendarme*
%monodocdir/web
%pkgconfigdir/*.pc
%_datadir/applications/gendarme-wizard.desktop
%_datadir/applications/gsharp.desktop
%_datadir/applications/monodoc.desktop
%_datadir/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%ghost %monodocdir/monodoc.index


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 4.2-11.mga9
+ Revision: 1845419
- Mageia 9 Mass Rebuild

* Sat Oct 31 2020 joequant <joequant> 4.2-10.mga8
+ Revision: 1640797
- fix build
+ tv <tv>
- BR mono-winforms
- rebuild for new mono
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Feb 25 2019 wally <wally> 4.2-7.mga7
+ Revision: 1370143
- build without webkit1

* Wed Feb 20 2019 wally <wally> 4.2-6.mga7
+ Revision: 1368962
- build without gnome-desktop-sharp

* Thu Sep 20 2018 umeabot <umeabot> 4.2-5.mga7
+ Revision: 1279949
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 daviddavid <daviddavid> 4.2-4.mga7
+ Revision: 1224023
- fix monodoc dependency

* Wed Oct 19 2016 tv <tv> 4.2-3.mga6
+ Revision: 1062253
- switch from %%old_configure to %%configure2_5x --build=%%{_build}
+ daviddavid <daviddavid>
- switch to %%configure2_5x macro with --build=%%{_build} option

* Mon Feb 15 2016 shlomif <shlomif> 4.2-2.mga6
+ Revision: 961529
- Add missing BR - thanks to Luigi
- Fix the build using a patch
+ luigiwalser <luigiwalser>
- 4.2
- update URLs
- switch from dmcs to mcs (fedora)
+ tv <tv>
- kill patch0 (no need as gtkhtml3 is not BRed)
  (the proper way would have been to use --disable-gtkhtml anyway)
- switch to %%old_configure
- switch to %%configure2.5
- add more BRs
- BR pkgconfig(monodoc)
- BR monodoc
- sort BRs
- mono4 fixes
- mono4 fixes
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.11-8.mga5
+ Revision: 738817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-7.mga5
+ Revision: 682581
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu May 01 2014 anaselli <anaselli> 2.11-6.mga5
+ Revision: 619321
- Right installation of icon
- Fixed gsharp icon

* Sat Oct 19 2013 umeabot <umeabot> 2.11-5.mga4
+ Revision: 529782
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 matteo <matteo> 2.11-4.mga4
+ Revision: 453221
- bumped release
- disable post until webdoc is fixed

* Thu Jul 11 2013 matteo <matteo> 2.11-3.mga4
+ Revision: 453215
- rename Patch1
- new version 2.11 (git master)
- disabled gtkhtml (cannot compile)
- disabled gendarme and webdoc (cannot compile)

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 360251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 pterjan <pterjan> 2.10-1.mga1
+ Revision: 88090
- Update to 2.10

* Sat Jan 15 2011 pterjan <pterjan> 2.8-2.mga1
+ Revision: 18959
- Drop obsolete scriptlets
- imported package mono-tools


* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8-2mdv2011.0
+ Revision: 627814
- remove MonoWebBrowserHtmlRender component

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.8-1mdv2011.0
+ Revision: 584073
- new version
- bump mono dep
- update file list

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.1
+ Revision: 521498
- update to new version 2.6.2

* Sat Dec 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2010.1
+ Revision: 480227
- update to new version 2.6.1

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478993
- new version
- update file list
- bump mono dep

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 2.4.3-2mdv2010.1
+ Revision: 476292
- rebuild for new webkit-sharp

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2010.1
+ Revision: 475952
- update to new version 2.4.3

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390915
- new version
- update file list
- filter arch-dependant deps

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 371112
- new version
- bump deps
- update file list

* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2009.1
+ Revision: 329871
- new version
- update deps
- disable xulrunner support
- remove old icons
- update file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 292195
- new version
- update deps
- update license
- update file list

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 1.9-4mdv2009.0
+ Revision: 289227
- drop patch
- depend on xulrunner instead of firefox

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 1.9-3mdv2009.0
+ Revision: 273803
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.9-2mdv2009.0
+ Revision: 265174
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 194006
- new version
- drop patches
- bump deps
- update file list

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 158047
- fix build with new gnome-sharp
- update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119276
- new version
- update patch 0

* Sun Sep 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-3mdv2008.0
+ Revision: 83453
- update patch 0 to fix ilcontrast startup (bug#33353)

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-2mdv2008.0
+ Revision: 78490
- fix icons in desktop files

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 27359
- new version
- add ilcontrast


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.0
+ Revision: 117017
- new version
- update the patch

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86338
- new version
- update file list
- Import mono-tools

* Wed Oct 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.1
- gtk-sharp2
- rediff the patch
- new version

* Sat Jul 08 2006 Götz Waschk <waschk@mandriva.org> 1.1.11-2mdv2007.0
- xdg menu

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- New release 1.1.11
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-2mdk
- patch for mozilla detection

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- update file list
- New release 1.1.10

* Fri Sep 16 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-3mdk
- add post requirement on monodoc as well

* Mon Sep 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-2mdk
- fix deps

* Sun Sep 11 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- fix buildrequires
- update file list
- New release 1.1.9

* Tue Jun 21 2005 Götz Waschk <waschk@mandriva.org> 1.0-3mdk
- create monodoc index in the post script

* Mon Jun 20 2005 Götz Waschk <waschk@mandriva.org> 1.0-2mdk
- fix buildrequires

* Sat Jun 18 2005 Götz Waschk <waschk@mandriva.org> 1.0-1mdk
- initial package

